<?php
/**
 *
 * @author	Hj Ahmad Rasyid Hj Ismail "ahrasis"
 * @email	ahrasis@gmail.com
 * @link	https://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	HSFG: Hide Signature From Guest
 *
 */ 

if (!defined('ELK')) 
	die('Hacking attempt...');

class HSFG {
	public static function Styles($user)
	{
		global $user_info, $memberContext, $modSettings;
		
		if ((!empty($modSettings['HSFG_enable'])) && ($user_info['is_guest']))
		{
			$memberContext[$user]['signature'] = '';
		}
	}

	public static function Settings(&$config_vars)
	{
		// Load Language(s)
		loadLanguage('HSFG/HSFG');

		// Add Setting(s)
		$HSFG = array(
			array('check', 'HSFG_enable'),
			'',
		);

		// Insert after all available slice.
		$first = array_slice($config_vars, 0);
		$config_vars = array_merge($first, $HSFG);
	}
}
?>